Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156598 - Seg Fault with Live, scrolling capture
Summary: Seg Fault with Live, scrolling capture
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ethereal
Version: 3
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-02 11:07 UTC by Bob Chiodini
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 05:59:59 UTC


Attachments (Terms of Use)

Description Bob Chiodini 2005-05-02 11:07:42 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-1.3.1 Firefox/1.0.3

Description of problem:
Clicking on the start capture button, then checking "Update list of packets in real time", "Automatic Scrolling in live capture" and "Hide capture info dialog" under Display Options, then clicking OK results in a segfault.  

Version-Release number of selected component (if applicable):
ethereal-0.10.10-1.FC3.1, ethereal-gnome-0.10.10-1.FC3.1

How reproducible:
Always

Steps to Reproduce:
1.Clicking on the start capture button
2.Check "Update list of packets in real time", "Automatic Scrolling in live capture" and "Hide capture info dialog" under Display Options
3.Click OK
  

Actual Results:  Segmentation Fault

Expected Results:  Ethereal should display a live capture of the ehternet traffic.

Additional info:

Ethereal works correctly if "live capture" is not enabled.  strace output available, but very large +700K.  I can attach it (or some portion) if requested

Comment 1 Radek Vokal 2005-05-02 11:25:22 UTC
Please try with latest rawhide version. 

Comment 2 Bob Chiodini 2005-05-02 20:53:05 UTC
(In reply to comment #1)
> Please try with latest rawhide version. 

There were too many dependency issues, yum seemed to get caught in a loop trying
to resolve them.  Tried a nodeps install and had different problems, missing
libs.  Note this is the x86_64 version.  INstalled the i386 version it works.

Comment 3 Bob Chiodini 2005-05-02 21:23:01 UTC
Reloaded the x86_64 version and the debuginfo (possibly not the same rev)
available on the download server at redhat.com.  This is all new to me, but
here's the output (maybe of some help): 

gdb ethereal
GNU gdb Red Hat Linux (6.1post-1.20040607.43rh)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu"...(no debugging symbols
found)...Using host libthread_db library "/lib64/tls/libthread_db.so.1".

(gdb) sym /usr/lib/debug/usr/lib64/libethereal.so.0.0.1.debug
Reading symbols from /usr/lib/debug/usr/lib64/libethereal.so.0.0.1.debug...done.
(gdb) run
Starting program: /usr/sbin/ethereal
[Thread debugging using libthread_db enabled]
[New Thread 46912513596160 (LWP 26454)]
Detaching after fork from child process 26458.

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 46912513596160 (LWP 26454)]
0x0000003766b6f532 in strcmp () from /lib64/tls/libc.so.6
(gdb) backtrace
#0  0x0000003766b6f532 in strcmp () from /lib64/tls/libc.so.6
#1  0x000000000041e72f in dissect_ositp_internal (tvb=0x1, pinfo=0x5fb120,
tree=0x5fb120, uses_inactive_subset=55)
    at packet-clnp.c:803
#2  0x000000000000003b in ?? ()
#3  0x0000000000000000 in ?? ()
(gdb) quit
The program is running.  Exit anyway? (y or n) y

rpm -qa | grep ethereal
ethereal-gnome-0.10.10-1.FC3.1
ethereal-0.10.10-1.FC3.1
ethereal-debuginfo-0.10.6-3


Comment 4 Radek Vokal 2005-05-03 05:59:59 UTC
I've tested this on x86_64 machine and it works with the latest version from
rawhide. Anyway, there'll be ethereal update in FC3 which will fix this issue
soon, so don't worry about yum dependencies (even though yum should also work
with rawhide). 


Note You need to log in before you can comment on or make changes to this bug.